summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-keyup
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2018-06-08 18:07:08 +0200
committerMarcello Stanisci <stanisci.m@gmail.com>2018-06-08 18:07:08 +0200
commit7a508957848e1f6cb4c2b1d74f844caaa4cdff88 (patch)
treef0a388d121c0956acf38fc0b6f8121a38ed2a992 /bin/taler-deployment-keyup
parent146aff1c9b1014577341361d7316c10647b11e5b (diff)
downloaddeployment-7a508957848e1f6cb4c2b1d74f844caaa4cdff88.tar.gz
deployment-7a508957848e1f6cb4c2b1d74f844caaa4cdff88.tar.bz2
deployment-7a508957848e1f6cb4c2b1d74f844caaa4cdff88.zip
Permissions.
Tolerate failing chmod on the "shared-data" directory. This is safe as if party X fails in doing so, then party Y did already set permissions as wanted.
Diffstat (limited to 'bin/taler-deployment-keyup')
-rwxr-xr-xbin/taler-deployment-keyup6
1 files changed, 5 insertions, 1 deletions
diff --git a/bin/taler-deployment-keyup b/bin/taler-deployment-keyup
index b497f78..e91c2b0 100755
--- a/bin/taler-deployment-keyup
+++ b/bin/taler-deployment-keyup
@@ -32,4 +32,8 @@ if [[ -s $auditor_request_dir/auditor_request ]]; then
-c ${HOME}/.config/taler.conf
fi
-chmod -fR g+rw ${HOME}/shared-data
+# Make sure the creator sets those permissions; or-ing
+# with 'true' is needed as when the other party will
+# execute this it will fail to chmod, but the permissions
+# are already right.
+chmod -R g+rw ${HOME}/shared-data || true